| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
HID_ReportInfo_t Struct Reference
HID Report Parser

## Detailed Description

HID Parser State Structure.

Type define for a complete processed HID report, including all report item data and collections.

Definition at line 247 of file HIDParser.h.

`#include "HIDParser.h"`

## Data Fields
uint8_t | TotalReportItems
HID_ReportItem_t | ReportItems [HID_MAX_REPORTITEMS]
HID_CollectionPath_t | CollectionPaths [HID_MAX_COLLECTIONS]
uint8_t | TotalDeviceReports
HID_ReportSizeInfo_t | ReportIDSizes [HID_MAX_REPORT_IDS]
uint16_t | LargestReportSizeBits
bool | UsingReportIDs

## Field Documentation

HID_CollectionPath_t CollectionPaths[HID_MAX_COLLECTIONS]

All collection items, referenced by the report items.

Definition at line 253 of file HIDParser.h.

uint16_t LargestReportSizeBits

Largest report that the attached device will generate, in bits

Definition at line 258 of file HIDParser.h.

HID_ReportSizeInfo_t ReportIDSizes[HID_MAX_REPORT_IDS]

Report sizes for each report in the interface

Definition at line 257 of file HIDParser.h.

HID_ReportItem_t ReportItems[HID_MAX_REPORTITEMS]

Report items array, including all IN, OUT and FEATURE items.

Definition at line 250 of file HIDParser.h.

uint8_t TotalDeviceReports

Number of reports within the HID interface

Definition at line 256 of file HIDParser.h.

uint8_t TotalReportItems

Total number of report items stored in the `ReportItems` array.

Definition at line 249 of file HIDParser.h.

bool UsingReportIDs

Indicates if the device has at least one REPORT ID element in its HID report descriptor.

Definition at line 259 of file HIDParser.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Common/HIDParser.h